@font-face {
  font-family: FancyCardText;
  src: url("../assets/fonts/FancyCardText-eZmg.ttf");
}
.site-header {
  border-radius: var(--stickyborderradius);
  position: sticky;
  width: 100vw;

  z-index: 50;
  top: 0;
  background: var(--stickycolor);
  border: 1px solid var(--textcolor);
}

.header-content {
  max-width: 100%;
  margin-top: 0;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  transition:
    background 0.3s,
    box-shadow 0.3s;
  padding: 0rem 2rem;
}

.header-content .logo {
  font-family: FancyCardText;
  font-weight: 800;
  font-size: 2.5vw;
  color: var(--logocolor);
  justify-content: flex-start;
  margin-left: 0;
  margin-right: 2rem;
  text-shadow: var(--textshadowpattern1);
}
.activeheader {
  font-size: 2.2vw;
  color: var(--logocolor);
  text-shadow: var(--textshadowpattern1);
}

.main-nav {
  display: flex;
  margin-left: auto;
  justify-content: flex-end;
  justify-items: flex-end;
  gap: 1.5rem;
}

.main-nav a {
  color: black;

  text-decoration: none;
  font-weight: 700;
  transition: color 0.2s;
  text-shadow: var(--textshadowpattern1);
}

.main-nav a:hover {
  color: var(--stickycolor);
  text-shadow: var(--textshadowpattern2);
}
